#!/usr/bin/perl
#
# Spinner-Wiki - preview.pl
#        Copyright (C) 2000 Bruce Dodson (bdodson@esricanada.com)
#
# Derived from DolphinWiki
#        Copyright (C) 1998 Object Arts Ltd (info@object-arts.com)
#
# DolphinWiki derived from JOS WikiClone.
#        Copyright (C) 1998 Markus Peter - SPiN GmbH (warpi@spin.de)
#
# and based on parts of Ward Cunninghams original Wiki.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

use CGI;
use wiki;

$query= new CGI;

main();

sub main {
    print $query->header(-Pragma=>'no-cache',-Cache_control=>'no-cache');

    my ($topic, $scriptUrl) = wiki::init($query);

    my $tmpl="";
    my $text= $query->param("text");

    # Handle pre-save substitutions
    my ($timenow) = time;
    my ($date) = wiki::getDateTimeText($timenow);

    $text=~ s/\$DATE\$/$date/go; # Current Date
    $text =~ s/   /\t/go; # Tabs

    my $html = wiki::getRenderedVersion($text);
    print $html;
}


