#!/usr/bin/perl
#
# Spinner-Wiki - editlast.pl
#        Copyright (C) 2000 Bruce Dodson (bdodson@esricanada.com)
#
# Derived from DolphinWiki
#        Copyright (C) 1998 Object Arts Ltd (info@object-arts.com)
#
# DolphinWiki derived from JOS WikiClone.
#        Copyright (C) 1998 Markus Peter - SPiN GmbH (warpi@spin.de)
#
# and based on parts of Ward Cunninghams original Wiki.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

use CGI;
use wiki;


#print "Content-type: text/html\n\n";

$query= new CGI;

main();

sub main {
    print $query->header(-Pragma=>'no-cache',-Cache_control=>'no-cache');

    my ($topic) = wiki::init( $query);

    my ($tmpl, $text);

    if(wiki::topicExists($topic)) {
        $tmpl= wiki::readTemplate("editlast");
        $text= wiki::readBackup($topic);
    } else {
        $tmpl= wiki::readTemplate("edit");
        $text= wiki::readTemplateText("notext");
    }

    $text =~ s/&/&amp\;/go;
    $text =~ s/</&lt\;/go;
    $text =~ s/>/&gt\;/go;
    $text =~ s/\t/   /go;
    $tmpl = wiki::handleCommonTags($tmpl, $topic);

    # backup has no system-tags
    # $text = wiki::removeSystemTags($text);
    $tmpl =~ s/\$TEXT\$/$text/go;

    print $tmpl;
}


